japa.parser.ast.type

## Class WildcardType

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.type.Type
    - - japa.parser.ast.type.WildcardType

    public final class WildcardType
    extends Type

### Constructor Summary

Constructors
Constructor and Description
`WildcardType()`
`WildcardType(int beginLine, int beginColumn, int endLine, int endColumn, ReferenceType ext, ReferenceType sup)`
`WildcardType(ReferenceType ext)`
`WildcardType(ReferenceType ext, ReferenceType sup)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`ReferenceType` `getExtends()`
`ReferenceType` `getSuper()`
`void` `setExtends(ReferenceType ext)`
`void` `setSuper(ReferenceType sup)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WildcardType

    public WildcardType()

#### WildcardType

    public WildcardType(ReferenceType ext)

#### WildcardType

    public WildcardType(ReferenceType ext,
                ReferenceType sup)

#### WildcardType

    public WildcardType(int beginLine,
                int beginColumn,
                int endLine,
                int endColumn,
                ReferenceType ext,
                ReferenceType sup)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getExtends

    public ReferenceType getExtends()

#### getSuper

    public ReferenceType getSuper()

#### setExtends

    public void setExtends(ReferenceType ext)

#### setSuper

    public void setSuper(ReferenceType sup)